Subject: Re: bug#9963: ./temacs -Q -nw abort in bidi_initialize

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Nov 2011 02:24:43 -0500

> From: Dan Nicolaescu <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 06 Nov 2011 00:48:02 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Dan Nicolaescu <[email-masked]>
> >> Date: Sat, 05 Nov 2011 23:40:55 -0400
> >> 
> >> ./temacs -Q -nw 
> >> aborts in bidi_initialize
> >> 
> >> It used to work a few months ago.
> >
> > Yes, but the way bidi properties of characters are accessed has
> > changed since then.
> >
> > This abort means you somehow have a problem loading uni-bidi.el, or
> > didn't load it at all, or perhaps load a wrong uni-bidi.el (e.g., from
> > Emacs 23).  It is strange that it works without -nw, though.
> 
> It looks this happens when printing the first "Loading" message at
> startup to load loadup.el.

That figures: Emacs needs uni-bidi for display, and `message' enters
redisplay.

>  Is uni-bidi.el loaded before that?

Evidently, it isn't.  I think it is pulled in when charprop is loaded,
but that's half-way down loadup.el.

We need to find a way of loading uni-bidi and uni-mirrored before
loading loadup.el.  I will get to that later today, if no one beats me
to it.

And I still wonder how come this works in a GUI session.